Skip to main content
POST
Link an existing ticket to findings

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string
required

Deployment ID. Can be found at /deployments, or in your Settings in the web UI.

Example:

123

Body

application/json

Link ticket request

issue_ids
string[]
required

An array of Semgrep finding IDs to link the ticket to.

Example:
ticket_url
string
required

The URL of the external ticket to link (e.g. https://myorg.atlassian.net/browse/SEC-123).

Example:

"https://myorg.atlassian.net/browse/SEC-123"

deploymentId
string

Deployment ID. Can be found at /deployments, or in your Settings in the web UI.

Example:

123

Response

200 - application/json

OK

external_slug
string

The external slug identifier for the ticket (e.g. SEC-123)

linked_issue_ids
string[]

List of finding IDs that were successfully linked to the ticket

replaced_issue_ids
string[]

List of finding IDs where an existing ticket link was replaced

ticket_id
integer<int64>

The internal ID of the linked ticket record

ticket_url
string

The URL of the linked ticket